%define url_ver	%(echo %{version} | tr '.' '_')

Name:		qstopmotion
Version:	2.5.2
Release:	%mkrel 1
Summary:	Creates stop-motion animation movies based on Qt5
License:	GPLv3+
Group:		Video
URL:		http://www.qstopmotion.org/
Source0:	https://sourceforge.net/projects/qstopmotion/files/Version_%{url_ver}/%{name}-%{version}-Source.tar.xz
Patch0:		qstopmotion-2.3.1-fix-ApplicationDirectory.patch
Patch1:		qstopmotion-2.4.0-fix-build-against-qt-5.11.0.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	lib64qwt-qt5-devel
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(libv4l2)

%description
qStopMotion is an application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the harddrive and export the animation to different video
formats such as mpeg or avi.

%prep
%setup -q -n %{name}-%{version}-Source
%apply_patches

# fix spurious-executable-perm
chmod 0644 Changes.txt README.txt

%build
export CXXFLAGS="%{optflags} -Wno-error=format-security"
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%{_datadir}/doc
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Jan 20 2021 tex - 2.5.2-1pclos2021
- new version

* Wed Jul 15 2020 tex - 2.5.0-1pclos2020
- new version: 2.5.0
